function drawTreeOutline() {
    // Turtles to make outlines of tree
    var ttl1 = makeTurtle(220, height - 5);
    var ttl2 = makeTurtle(220, height - 50);
    var ttl3 = makeTurtle(265, height - 50);
    ttl1.setColor('saddlebrown');
    ttl2.setColor('green');
    ttl3.setColor('green');
    ttl1.setWeight(5);
    ttl2.setWeight(5);
    ttl3.setWeight(5);
    ttl1.penDown();
    ttl2.penDown();
    ttl3.penDown();

    // Tree stump
    ttl1.forward(swidth);
    ttl1.left(90);
    ttl1.forward(swidth);
    ttl1.left(90);
    ttl1.forward(swidth);
    ttl1.left(90);
    ttl1.forward(swidth);

    // Left side of Tree
    var a = 200;
    var b = 245;
    ttl2.left(180);
    ttl2.forward(a);
    ttl2.right(140);
    ttl2.forward(b);
    ttl2.left(140);
    ttl2.forward(a - 40);
    ttl2.right(140);
    ttl2.forward(b - 40);
    ttl2.left(140);
    ttl2.forward(a - 80);
    ttl2.right(140);
    ttl2.forward(b - 40);

    // Right side of Tree
    ttl3.forward(a);
    ttl3.left(140);
    ttl3.forward(b);
    ttl3.right(140);
    ttl3.forward(a - 40);
    ttl3.left(140);
    ttl3.forward(b - 40);
    ttl3.right(140);
    ttl3.forward(a - 80);
    ttl3.left(140);
    ttl3.forward(b - 40);
}

function drawTree() {
    // Tree fill
    noStroke();
    fill('saddlebrown');
    rectMode(CENTER);
    rect(width/2 + 5, height - (swidth/2) - 5, swidth, swidth);
    fill('green');
    triangle(20, height - 50, 465, height - 50, width/2, height/2);
    fill('green');
    triangle(50, height - 205, 440, height - 205, width/2, 110);
    fill('green');
    triangle(90, height - 340, 400, height - 340, width/2, 5);
}

// Functions for all the different colored ornaments
function drawRedOrnaments() {
    for (cirX = 0; cirX < 350; cirX += spacing) {
        stroke(0);
        strokeWeight(1);
        line(cirX + 90, 390, cirX + 90, 400);
        fill('red');
        ellipse(cirX + 90, 400, 10, 10);
    }
}

function drawYellowOrnaments() {
    for (cirX = 0; cirX < 250; cirX += spacing) {
        stroke(0);
        strokeWeight(1);
        line(cirX + 140, 340, cirX + 140, 350);
        fill('yellow');
        ellipse(cirX + 140, 350, 10, 10);
    }
}

function drawBlueOrnaments() {
    for (cirX = 0; cirX < 150; cirX += spacing) {
        stroke(0);
        strokeWeight(1);
        line(cirX + 190, 290, cirX + 190, 300);
        fill('blue');
        ellipse(cirX + 190, 300, 10, 10);
    }
}

function drawPurpleOrnaments() {
    for (cirX = 0; cirX < 300; cirX += spacing) {
        stroke(0);
        strokeWeight(1);
        line(cirX + 115, 240, cirX + 115, 250);
        fill('purple');
        ellipse(cirX + 115, 250, 10, 10);
    }
}

function drawOrangeOrnaments() {
    for (cirX = 0; cirX < 200; cirX += spacing) {
        stroke(0);
        strokeWeight(1);
        line(cirX + 165, 200, cirX + 165, 210);
        fill('orange');
        ellipse(cirX + 165, 210, 10, 10);
    }
}

function drawGreenOrnaments() {
    for (cirX = 0; cirX < 100; cirX += spacing) {
        stroke(0);
        strokeWeight(1);
        line(cirX + 215, 160, cirX + 215, 170);
        fill('lightgreen');
        ellipse(cirX + 215, 170, 10, 10);
    }
}

function drawBlackOrnaments() {
    for (cirX = 0; cirX < 250; cirX += spacing) {
        stroke(0);
        strokeWeight(1);
        line(cirX + 140, 110, cirX + 140, 120);
        fill(0);
        ellipse(cirX + 140, 120, 10, 10);
    }
}

function drawSilverOrnaments() {
    for (cirX = 0; cirX < 150; cirX += spacing) {
        stroke(0);
        strokeWeight(1);
        line(cirX + 190, 70, cirX + 190, 80);
        fill('silver');
        ellipse(cirX + 190, 80, 10, 10);
    }
}

function drawWhiteOrnaments() {
    for (cirX = 0; cirX < 50; cirX += spacing) {
        stroke(0);
        strokeWeight(1);
        line(cirX + 240, 30, cirX + 240, 40);
        fill(255);
        ellipse(cirX + 240, 40, 10, 10);
    }
}

// Functions for the ornaments hanging off the sides of the tree
function drawBottomOrnaments() {
    stroke(0);
    strokeWeight(2);
    line(20, 430, 20, 450);
    fill('red');
    ellipse(20, 450, 20, 20);

    stroke(0);
    strokeWeight(2);
    line(465, 430, 465, 450);
    fill('blue');
    ellipse(465, 450, 20, 20);
}

function drawMiddleOrnaments() {
    stroke(0);
    strokeWeight(2);
    line(48, 273, 48, 293);
    fill('purple');
    ellipse(48, 293, 20, 20);

    stroke(0);
    strokeWeight(2);
    line(437, 273, 437, 293);
    fill('lightgreen');
    ellipse(437, 293, 20, 20);
}

function drawTopOrnaments() {
    stroke(0);
    strokeWeight(2);
    line(85, 160, 85, 140);
    fill(0);
    ellipse(85, 160, 20, 20);

    stroke(0);
    strokeWeight(2);
    line(400, 160, 400, 140);
    fill(255);
    ellipse(400, 160, 20, 20);
}

// Function to draw the star
function drawStar() {
    noStroke();
    fill('gold');
    triangle(width/2 + 3, 0, width/2 - 10, 22, width/2 + 15, 22);
    fill('gold');
    triangle(width/2 + 3, 30, width/2 - 10, 5, width/2 + 15, 5);
}